#!/bin/bash 

echo ""

case "$1" in
  start)
	# On a besoin de mgr
	./vm_start.sh "__mgr.testbed.aaa" || {
		echo "Echec au demarrage de mgr, abandon."
		exit 1
	}

	# On a besoin ensuite du mgr local
	./vm_start.sh "simple-simplemgr.testbed.aaa" || {
		echo "Echec au demarrage de simplemgr, abandon."
		exit 1
	}
	
	# Maintenant on peut demarrer les autres VM en paralelle
	./vm_start.sh "simple-cli.simple.testbed.aaa" &
	./vm_start.sh "simple-serv.simple.testbed.aaa" &
	
	# Done
	wait
	;;
  pause)
	# On arrete toutes ces machines en sauvant leur etat
	./vm_pause.sh "__mgr.testbed.aaa" &
	./vm_pause.sh "simple-simplemgr.testbed.aaa" &
	./vm_pause.sh "simple-cli.simple.testbed.aaa" &
	./vm_pause.sh "simple-serv.simple.testbed.aaa" &
	wait
	;;
  stop)
	# On arrete toutes ces machines en envoyant un shutdown
	./vm_stop.sh "__mgr.testbed.aaa" &
	./vm_stop.sh "simple-simplemgr.testbed.aaa" &
	./vm_stop.sh "simple-cli.simple.testbed.aaa" &
	./vm_stop.sh "simple-serv.simple.testbed.aaa" &
	wait
	;;
  *)
	echo "Usage: $0 [start|pause|stop]"
	exit 1
esac

exit 0
